4

I am currently working on designing my blog and am almost done but when I updated to 5.1 WordPress version in XAMPP, it started showing up this error message:

Warning: call_user_func_array() expects parameter 1 to be a valid callback,
function 'disable_embeds_rewrites' not found or invalid function name in
E:\xampp\htdocs\wp\wp-includes\class-wp-hook.php on line 286

The blog theme(with custom callback for comments) I had just designed was working properly in last version of WordPress but this error started showing up just after I updated my WordPress.

Please provide me some solution!

1 Answer 1

4

The error you're getting is showing, because somewhere on your site (your theme or one of your plugins) is registering a filter function that doesn't exist.

Somewhere in your code, there will be such line (or similar to it):

add_filter( 'rewrite_rules_array', 'disable_embeds_rewrites' );

It may use different hook, so it may also look like:

add_filter( 'XXX', 'disable_embeds_rewrites' );

The problem is that the function disable_embeds_rewrites doesn't exist on your site.

The easiest/quickest way to fix it is to remove the line above.

PS. But you should be careful. Maybe that filter is needed on your site. So when you find it, you should contact the author of that part of code (plugin/theme) and report it as a bug.

1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.